Subject: [pntaw] FW: [rtcweb] ICE TCP Candidates and SCTP DataChannels ?

From: "Parthasarathi R" <[email-masked]>
Date: Fri, 3 Jan 2014 21:29:54 +0530

Forwarding to PNTAW mailing alias for more discussion

-----Original Message-----
From: Parthasarathi R [mailto:[email-masked]] 
Sent: Friday, January 03, 2014 9:28 PM
To: 'Olivier Crête'; [email-masked]'
Subject: RE: [rtcweb] ICE TCP Candidates and SCTP DataChannels ?

Hi Olivier,

Irrespective of TURN or ICE-TCP, SCTP over DTLS over TURN/RFC 4571 over TCP has to be supported in case SCTP datachannel mechanism has to be traversed through firewall. The similar discussion happened earlier in PNTAW and the related mail thread is http://www.ietf.org/mail-archive/web/pntaw/current/msg00144.html.

I think that it is better to discuss in detail in pntaw alias about this issue. I'll forward this mail to pntaw alias for more discussion.

Thanks
Partha

> -----Original Message-----
> From: rtcweb [mailto:[email-masked]] On Behalf Of Olivier
> Crête
> Sent: Friday, January 03, 2014 12:55 PM
> To: [email-masked]
> Subject: [rtcweb] ICE TCP Candidates and SCTP DataChannels ?
> 
> Hello,
> 
> draft-ietf-rtcweb-transports-01 mentions ICE TCP Candidates [RFC6062],
> but there is no mention of how they integrated with the SCTP-based data
> channels? ICE-TCP seems to be a good match for ordered reliable
> channels, as I expect these will be the most common. Is there any plans
> to support those? Or to do something akin to RFC 4571 framing to put
> SCTP in an ICE-TCP connection? Then that raises the question of DTLS,
> would we want to do SCTP-over-DTLS-over-rfc4571-over-TCP or
> SCTP-over-rfc4571-over-TLS-over-TCP ?
> 
> --
> Olivier Crête
> [email-masked]
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb